[IPython-dev] Last call for 0.13.1

Aaron Meurer asmeurer@gmail....
Thu Oct 11 18:22:27 CDT 2012


You may want to start a deprecation cycle for the SymPy printing
extension, which has been moved to SymPy itself as of 0.7.2.  I would
just have the following logic:

if SymPy version is 0.7.2 or greater: use the ipython version (or
should it use the sympy version?), but emit a deprecation warning
telling the user to just load sympy.interactive.ipythonprinting

if SymPy version is less than 0.7.2: don't do any warnings

And then, when it's been long enough that probably most people are
using SymPy 0.7.2 and IPython 0.13.1 or greater, remove it entirely.

Aaron Meurer

On Thu, Oct 11, 2012 at 4:58 PM, MinRK <benjaminrk@gmail.com> wrote:
>
>
> On Thu, Oct 11, 2012 at 1:21 PM, MinRK <benjaminrk@gmail.com> wrote:
>>
>> There is currently only one (trivial) PR outstanding for 0.13.1, so I
>> think this is last call for anything that should go in before we cut a
>> release.
>>
>> If anyone thinks that something not already covered belongs in an 0.13.1
>> release, speak up now.
>>
>> Obviously, if anything doesn't make it, there's no reason we can't have
>> 0.13.2 in another month or two.
>
>
> While we are considering last call for 0.13.1 and any further tweaks, I cut
> a first release candidate from the current state:
>
> http://archive.ipython.org/testing/0.13.1/
>
> So we can get started with installation testing.
>
> This is just a bugfix release, so no new features to play with.
>
> -MinRK
>
>
> _______________________________________________
> IPython-dev mailing list
> IPython-dev@scipy.org
> http://mail.scipy.org/mailman/listinfo/ipython-dev
>


More information about the IPython-dev mailing list